Package org.gradle.tooling

## Interface IntermediateResultHandler<T>

- Type Parameters:
    `T` - The result type.

      public interface IntermediateResultHandler<T>

  A handler for an intermediate result obtained by a `BuildActionExecuter`.
  Since:
    4.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onComplete​(T result)` | Handles successful completion of the action.

- - ### Method Detail

    - #### onComplete

          void onComplete​(T result)

      Handles successful completion of the action.
      Parameters:
        `result` - the result